<?php


namespace Drupal\tmgmt_xtm\Plugin\tmgmt\Translator;


use RecursiveDirectoryIterator;
use RecursiveIteratorIterator;

/**
 * Class FileHelper
 * @package Drupal\tmgmt_xtm\Plugin\tmgmt\Translator
 */
class FileHelper
{

  /**
   * @param $file
   * @return string
   */
  public static function get_temp($file)
  {
    return file_directory_temp() . '/' . $file->targetLanguage . "_" . $file->fileName;
  }

  /**
   * @param $dir
   */
  public static function remove_folder($dir)
  {
    $it = new RecursiveDirectoryIterator($dir, RecursiveDirectoryIterator::SKIP_DOTS);
    $files = new RecursiveIteratorIterator($it, RecursiveIteratorIterator::CHILD_FIRST);
    foreach ($files as $file) {
      if ($file->isDir()) {
        rmdir($file->getRealPath());
      } else {
        unlink($file->getRealPath());
      }
    }
    rmdir($dir);
  }
}
