<?php


namespace Drupal\tmgmt_xtm\Plugin\tmgmt\Translator;


/**
 * Class ZipHelper
 * @package Drupal\tmgmt_xtm\Plugin\tmgmt\Translator
 *
 * Helper for extracting Zip files
 */
class ZipHelper
{

  /**
   * @param $file
   * @return string
   */
  public static function get_unpack_folder($file)
  {
    return file_directory_temp() . '/' . $file->jobDescriptor->id;
  }

  /**
   * @param $pathToZipFile
   * @param $targetPath
   */
  public static function unpack($pathToZipFile, $targetPath)
  {
    $zip = new \ZipArchive();
    $res = $zip->open($pathToZipFile);
    if ($res === true) {
      $zip->extractTo($targetPath);
      $zip->close();
    }
  }
}
